<?php 

namespace Schaffen\ProductionOrder\ProductionOrder\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Traits\Audit;

class CompositeProductHistoric extends Model {

    use Audit;
    
    protected $table = 'ordem_producao.pcp_historico';
    protected $primaryKey = 'pch_codigo';

    protected $fillable = [
        "pch_fk_pve_codigo_acabado",
        "pch_fk_op_codigo",
        "pch_operacao",
        "pch_descricao",
        "created_at",
        "created_by"
    ];

    public $timestamps = false;
    
    const CREATED_AT = 'created_at';
    const CREATED_BY = 'created_by';
}