<?php

namespace Schaffen\ProductionOrder\ProductionOrder\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\ProductionOrder\ProductionOrder\Models\CompositeProductQuantity;

class CompositeProductQuantityRepository extends Repository
{
  protected $model = CompositeProductQuantity::class;
  protected $searchableFields = [
    ["field" => "pcpq_codigo"],
    ["field" => "pcpq_fk_pve_codigo"],
  ];
  protected $casts = [
    "pcpq_qtde_final_receita" => "numeric"
  ];
}
