<?php


namespace Schaffen\ProductionOrder\ProductionOrder\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\ProductionOrder\ProductionOrder\Models\CompositeProduct;

class CompositeProductRepository extends Repository
{
    protected $model = CompositeProduct::class;
    protected $searchableFields = [
        ["field" => "pcp_fk_pve_codigo_acabado"],
        ["field" => "pcp_fk_pve_materia_prima"],
    ];
    protected $casts = [
        "pcp_quantidade" => "numeric"
    ];

}
